function matice = NacitaniDat(soubor)
    file = fopen(soubor, 'r');
    data = fread(file,'*char')';
    fclose(file);

    zacatek = strfind(data, '<cells>');
    konec = strfind(data, '</cells>');

    zacatek = zacatek + 7;
    konec = konec - 1;

    matice = {};

    if length(zacatek) == length(konec)
        for i = 1:length(zacatek)
            cast = data(zacatek(i):konec(i));
            cast = strtrim(cast);
            cast = strrep(cast, ' ', ',');
            cast = regexprep(cast, '\t\t\t\t\t', ';');
            cast(end+1) = ';';
            cast = str2num(cast);

            matice{i} = cast;
            

        end 
    else
        disp('Vektory nejsou stejne dlouhé');
    end
